Name:           getvirtualbox
Version:        5.1.14
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            http://www.virtualbox.org/
Source:         %{name}-%{version}.tar.xz
Summary:        Script to manage VirtualBox installation
Summary(de):    Skript zum Management der Installation von VirtualBox
Group:          Emulators
Requires:	libnotify
Requires:	zenity
Requires:	bash
Requires:	wget apt apt-common
Requires:	gksu
Requires:	x11-driver-video-vboxvideo
Requires:	python >= 2.7
Requires:	%{_lib}SDL1.2_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:	%{name} < %version
Conflicts:	dkms-vboxadditions
Conflicts:	dkms-virtualbox 
Conflicts:	virtualbox 
Conflicts:	virtualbox-guest-additions
Conflicts:	VirtualBox-3.1

%description
This script provides management of Virtual Box with USB support for UPLOS.

%description -l de
Dieses Script managt Virtual Box mit USB-Unterstützung für UPLOS.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}/%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=VirtualBox Manager
GenericName=VirtualBox Manager
Type=Application
Exec=getvirtualbox
TryExec=getvirtualbox
Icon=getvirtualbox.png
Comment=Manage VirtualBox installation
Categories=Emulator;X-MandrivaLinux-MoreApplications-Emulators;PackageManager;GTK;System;X-MandrivaLinux-System-Configuration-Packaging;
Terminal=false
StartupNotify=true
EOF


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,fr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de.po
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-fr.po

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%pre
rm -rf /var/lib/dkms/vboxdrv >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetadp >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetflt >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxhost >/dev/null 2>&1

%clean
rm -rf %{buildroot}

%posttrans
notify-send "VirtualBox Manager" "To manage your VirtualBox installation please run: PCmenu -> Software Center -> VirtualBox Manager" -i /usr/share/pixmaps/getvirtualbox.png -t 120000  


%changelog
* Fri Jan 27 2017 adrianomorselli <adrianomorselli> 5.1.14-1uplos2017
- rebuild

* Wed Jan 18 2017 woodhead <pp> 5.1.14-1pclos2017
- update

* Wed Dec 21 2016 woodhead <pp> 5.1.12-1pclos2017
- update

* Thu Nov 24 2016 woodhead <pp> 5.1.10-1pclos2016
- update

* Wed Oct 19 2016 woodhead <pp> 5.1.8-1pclos2016
- update

* Wed Sep 14 2016 woodhead <pp> 5.1.6-1pclos2016
- update

* Fri Aug 19 2016 woodhead <pp> 5.1.4-2pclos2016
- added test for current version

* Thu Aug 18 2016 woodhead <pp> 5.1.4-1pclos2016
- update

* Fri Jul 22 2016 woodhead <pp> 5.1.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.1.0-1pclos2016
- update

* Thu Jun 30 2016 bb <bb> 5.0.24-1pclos2016
- update

* Fri Jun 17 2016 woodhead <pp> 5.0.22-1pclos2016
- update

* Sat May 14 2016 woodhead <pp> 5.0.20-2pclos2016
- added test for active vbox process

* Sat Apr 30 2016 woodhead <pp> 5.0.20-1pclos2016
- update

* Tue Apr 19 2016 woodhead <pp> 5.0.18-1pclos2016
- update

* Sat Mar 05 2016 woodhead <pp> 5.0.16-1pclos2016
- update

* Wed Jan 20 2016 pp <pp> 5.0.14-1pclos2016
- update

* Sat Dec 19 2015 pp <pp> 5.0.12-1pclos2015
- update

* Fri Nov 13 2015 pp <pp> 5.0.10-1pclos2015
- update

* Tue Oct 20 2015 pp <pp> 5.0.8-1pclos2015
- update

* Mon Oct 05 2015 pp <pp> 5.0.6-1pclos2015
- update

* Fri Sep 11 2015 pp <pp> 5.0.4-1pclos2015
- update

* Sat Aug 15 2015 pp <pp> 5.0.2-1pclos2015
- update

* Fri Jul 10 2015 pinoc <vogtpet at gmail.com> 5.0.0-1pclos2015
- update

* Sat May 16 2015 pinoc <vogtpet at gmail.com> 4.3.28-1pclos2015
- 4.3.28

* Wed Mar 18 2015 pinoc <vogtpet at gmail.com> 4.3.26-1pclos2015
- 4.3.26

* Tue Mar 03 2015 pinoc <vogtpet at gmail.com> 4.3.24-1pclos2015
- 4.3.24

* Tue Mar 03 2015 pinoc <vogtpet at gmail.com> 4.3.22-3pclos2015
- changed startup script to prefer kdesu to work for kde systemsettings

* Sun Mar 01 2015 pinoc <vogtpet at gmail.com> 4.3.22-2pclos2015
- renamed desktop name
- added option to remove VB

* Fri Feb 13 2015 pinoc <vogtpet at gmail.com> 4.3.22-1pclos2015
- 4.3.22
- added posttrans

* Sun Nov 23 2014 pinoc <vogtpet at gmail.com> 4.3.20-1pclos2014
- 4.3.20

* Mon Oct 13 2014 pinoc <vogtpet at gmail.com> 4.3.18-1pclos2014
- 4.3.18
- export locale to en_US to avoid crash on non en_US systems
- added menu-link to Software Center

